Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 435644

Summary: dev-java/oracle-jdk-bin-1.7.0.7 - stable request (amd64)
Product: Gentoo Linux Reporter: farmboy0
Component: [OLD] Keywording and StabilizationAssignee: Java team <java>
Status: RESOLVED DUPLICATE    
Severity: enhancement CC: floppym, gentoo.2019
Priority: Normal    
Version: unspecified   
Hardware: AMD64   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: my version of this ebuild
changelog

Description farmboy0 2012-09-20 13:43:31 UTC
According to https://bugs.gentoo.org/show_bug.cgi?id=433094#c12
this ebuild has been marked stable for amd64.
My ebuild file is still marked unstable.

Portage 2.1.11.9 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4, glibc-2.15-r2, 3.4.9-gentoo x86_64)
=================================================================
System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Core-TM-_i5-2450M_CPU_@_2.50GHz-with-gentoo-2.1
Timestamp of tree: Thu, 20 Sep 2012 12:45:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/themes/oxygen-gtk/gtk-2.0"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--ask --ask-enter-invalid --quiet-build=y"
FCFLAGS="-march=core2 -O2 -pipe -ggdb"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-march=core2 -O2 -pipe -ggdb"
GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/ http://de-mirror.org/gentoo/ rsync://de-mirror.org/gentoo/"
LANG="de_DE@euro"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de ja"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi adns ads alsa amd64 apache2 avahi bash-completion bazaar berkdb bluetooth bookmarks branding bzip2 cairo cdda cddb cdparanoia cdr cjk cli consolekit cracklib creds crypt cryptsetup css cups curl curlwrappers cvs cxx dbus declarative dga dhcpcd dirac dri dts dvd dvdr eap-sim emboss encode exif extra-tools fam ffmpeg firefox flac fontconfig fortran freerdp ftp gd gdbm gif git glut gpm gtk gtk3 hddtemp iconv icq icu idn ipv6 jabber jce jpeg jpeg2k kde kdepim kipi kontact lame lcms ldap ldb libass libnotify live lm_sensors mad matroska mdnsresponder-compat mercurial minizip mmap mmx mng modules mp3 mp4 mpeg mpi mtp mudflap multilib musepack musicbrainz ncurses networkmanager nls nptl nss ogg openal opengl openmp oscar pam pango pcre pdf perl phonon plasma png policykit ppds pppd qt3support qt4 rdesktop readline resolvconf rtsp samba schroedinger scim sdl sdl-image semantic-desktop session shine shout smbsharemodes smi smp speex spell sse sse2 sse3 sse4 sse4_1 ssh ssl ssse3 startup-notification subversion svg syslog sysvipc tcpd telepathy theora threads tiff tools truetype udev udisks unicode upcall upower usb utils vnc vorbis webgl webkit winbind wma-fixed wps wxwidgets x264 xattr xcb xcomposite xft xinerama xml xmpp xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de ja" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON



Reproducible: Always
Comment 1 farmboy0 2012-09-20 13:44:41 UTC
Created attachment 324382 [details]
my version of this ebuild
Comment 2 farmboy0 2012-09-20 13:45:03 UTC
Created attachment 324384 [details]
changelog
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-09-20 14:01:28 UTC
(In reply to comment #0)
> According to https://bugs.gentoo.org/show_bug.cgi?id=433094#c12
> this ebuild has been marked stable for amd64.
> My ebuild file is still marked unstable.

You are right.

> 
> Portage 2.1.11.9 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.4,
> glibc-2.15-r2, 3.4.9-gentoo x86_64)
> =================================================================
> System uname:
> Linux-3.4.9-gentoo-x86_64-Intel-R-_Core-TM-_i5-2450M_CPU_@_2.50GHz-with-
> gentoo-2.1
> Timestamp of tree: Thu, 20 Sep 2012 12:45:01 +0000
> app-shells/bash:          4.2_p37
> dev-java/java-config:     2.1.11-r3
> dev-lang/python:          2.7.3-r2, 3.2.3
> dev-util/cmake:           2.8.8-r3
> dev-util/pkgconfig:       0.27.1
> sys-apps/baselayout:      2.1-r1
> sys-apps/openrc:          0.9.8.4
> sys-apps/sandbox:         2.5
> sys-devel/autoconf:       2.13, 2.68
> sys-devel/automake:       1.11.6
> sys-devel/binutils:       2.22-r1
> sys-devel/gcc:            4.5.4
> sys-devel/gcc-config:     1.7.3
> sys-devel/libtool:        2.4-r1
> sys-devel/make:           3.82-r3
> sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
> sys-libs/glibc:           2.15-r2
> Repositories: gentoo
> ACCEPT_KEYWORDS="amd64"
> ACCEPT_LICENSE="* -@EULA"
> CBUILD="x86_64-pc-linux-gnu"
> CFLAGS="-march=core2 -O2 -pipe -ggdb"
> CHOST="x86_64-pc-linux-gnu"
> CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt
> /usr/share/themes/oxygen-gtk/gtk-2.0"
> CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/
> /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release
> /etc/php/apache2-php5.3/ext-active/ /etc/php/apache2-php5.4/ext-active/
> /etc/php/cgi-php5.3/ext-active/ /etc/php/cgi-php5.4/ext-active/
> /etc/php/cli-php5.3/ext-active/ /etc/php/cli-php5.4/ext-active/
> /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
> CXXFLAGS="-march=core2 -O2 -pipe -ggdb"
> DISTDIR="/usr/portage/distfiles"
> EMERGE_DEFAULT_OPTS="--ask --ask-enter-invalid --quiet-build=y"
> FCFLAGS="-march=core2 -O2 -pipe -ggdb"
> FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks
> ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head
> protect-owned sandbox sfperms splitdebug strict unknown-features-warn
> unmerge-logs unmerge-orphans userfetch xattr"
> FFLAGS="-march=core2 -O2 -pipe -ggdb"
> GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/ http://de-mirror.org/gentoo/
> rsync://de-mirror.org/gentoo/"
> LANG="de_DE@euro"
> LDFLAGS="-Wl,-O1 -Wl,--as-needed"
> LINGUAS="de ja"
> MAKEOPTS="-j5"
> PKGDIR="/usr/portage/packages"
> PORTAGE_CONFIGROOT="/"
> PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times
> --compress --force --whole-file --delete --stats --human-readable
> --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
> PORTAGE_TMPDIR="/var/tmp"
> PORTDIR="/usr/portage"
> PORTDIR_OVERLAY=""
> SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
> USE="X a52 aac acl acpi adns ads alsa amd64 apache2 avahi bash-completion
> bazaar berkdb bluetooth bookmarks branding bzip2 cairo cdda cddb cdparanoia
> cdr cjk cli consolekit cracklib creds crypt cryptsetup css cups curl
> curlwrappers cvs cxx dbus declarative dga dhcpcd dirac dri dts dvd dvdr
> eap-sim emboss encode exif extra-tools fam ffmpeg firefox flac fontconfig
> fortran freerdp ftp gd gdbm gif git glut gpm gtk gtk3 hddtemp iconv icq icu
> idn ipv6 jabber jce jpeg jpeg2k kde kdepim kipi kontact lame lcms ldap ldb
> libass libnotify live lm_sensors mad matroska mdnsresponder-compat mercurial
> minizip mmap mmx mng modules mp3 mp4 mpeg mpi mtp mudflap multilib musepack
> musicbrainz ncurses networkmanager nls nptl nss ogg openal opengl openmp
> oscar pam pango pcre pdf perl phonon plasma png policykit ppds pppd
> qt3support qt4 rdesktop readline resolvconf rtsp samba schroedinger scim sdl
> sdl-image semantic-desktop session shine shout smbsharemodes smi smp speex
> spell sse sse2 sse3 sse4 sse4_1 ssh ssl ssse3 startup-notification
> subversion svg syslog sysvipc tcpd telepathy theora threads tiff tools
> truetype udev udisks unicode upcall upower usb utils vnc vorbis webgl webkit
> winbind wma-fixed wps wxwidgets x264 xattr xcb xcomposite xft xinerama xml
> xmpp xscreensaver xv xvid zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp
> atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968
> fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx
> via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare
> dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter
> mmap_emul mulaw multi null plug rate route share shm softvol"
> APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm
> authn_default authn_file authz_dbm authz_default authz_groupfile authz_host
> authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate
> dir disk_cache env expires ext_filter file_cache filter headers include info
> log_config logio mem_cache mime mime_magic negotiation rewrite setenvif
> speling status unique_id userdir usertrack vhost_alias"
> CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon
> braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory
> rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate
> evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom
> oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip
> tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics"
> KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216
> lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console
> presenter-minimizer" LINGUAS="de ja" PHP_TARGETS="php5-3"
> PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19"
> USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan
> length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq
> steal rawnat logmark ipmark dhcpmac delude chaos account"
> Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND,
> PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS,
> USE_PYTHON
> 
> 
> 
> Reproducible: Always

*** This bug has been marked as a duplicate of bug 433094 ***
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-09-20 14:03:01 UTC
Ok, it was never suppose to be marked stable. Sorry.
Comment 5 Mike Gilbert gentoo-dev 2013-04-23 16:51:16 UTC
Ping. Would it be ok to stabilize oracle-{jre,jdk}-bin on amd64?
Comment 6 morpheus 2013-06-26 07:46:33 UTC
It would be great if oracle-{jre,jdk}-bin will be stabilized. Java 6 will no longer receive any public updates. See: http://www.oracle.com/technetwork/java/eol-135779.html.
Comment 7 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-06-26 16:02:47 UTC

*** This bug has been marked as a duplicate of bug 473980 ***